=== debian/changelog ===
libpci2 (2:2.1.11-3) unstable; urgency=low

  * Apply GNU/kFreeBSD patch.  Closes: 372264
  * Update to Policy 3.7.2

 -- Matthew Wilcox <willy@debian.org>  Fri, 11 Aug 2006 15:38:36 -0400

libpci2 (2:2.1.11-2) unstable; urgency=low

  * Fix Maintainer address

 -- Matthew Wilcox <willy@debian.org>  Wed, 07 Jun 2006 11:03:18 -0400

libpci2 (2:2.1.11-1) unstable; urgency=low

  * New package for static libpci transition

 -- Matthew Wilcox <willy@debian.org>  Thu, 16 Mar 2006 07:23:22 -0500

pciutils (1:2.1.11-15.3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload to add a udeb providing lspci for d-i purposes
    Closes: #284110

  [ Colin Watson ]
  * Changes merged from Ubuntu patches:
    - Add pciutils-udeb, for use in the installer. Contains only lspci,
      libpci.so.2, and pci.ids.
    - Reduce pciutils-udeb's copy of pci.ids by over 100KB by removing
      subsystem ids, which I don't think we need in the installer, and
      comments.
    - Move pciutils-udeb's copy of libpci.so.2 to /lib; it seems to confuse
      mklibs less that way.

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 08:16:54 +0100

pciutils (1:2.1.11-15.1) unstable; urgency=low

  * NMU durring BSP
  * remove unneeded wget build-dependancy
  * Store pci.ids under /var for better FHS complicance (closes: #278479)
    patch by Sam Morris
  * Remove pci.ids.old etc when purging the package (closes: #281413)
    patch by Sam Morris
  * fix lspci -F for new or old lspci -x format (closes: #261536)
    based on patch by Ben Pfaff
  * update pci.ids (closes: #281411, hopefully closes: #326274)
	
 -- Blars Blarson <blarson@blars.org>  Sat,  3 Sep 2005 22:07:20 +0000

pciutils (1:2.1.11-15) unstable; urgency=low

  * Updated pci.ids
  * Closes: #259990: pciutils{, -dev}: package description shouldn't
    contain "(for 2.*.* kernels)"
  * Install example.c in package (closes: #228660)

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 2004 10:16:57 +0200

pciutils (1:2.1.11-14) unstable; urgency=medium

  * Added Conflicts with older alsa-utils version (closes: #259661)
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Fri, 16 Jul 2004 18:38:05 +0200

pciutils (1:2.1.11-13) unstable; urgency=low

  * Updated pci.ids
  * Add pcimodules utility (closes: #253020)
  * Add -X option for output suitable for use in XFree86Config (closes:
    #251828)
  * Fix problem with lspci displaying wrong bar size (closes: #256352)
  * Make machine-readable output better machine-readable (closes:
    #250737)

 -- Remco van de Meent <remco@debian.org>  Fri,  9 Jul 2004 16:13:52 +0200

pciutils (1:2.1.11-12) unstable; urgency=low

  * Oops now with correct replaces versioning

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 23:53:16 +0200

pciutils (1:2.1.11-11) unstable; urgency=low

  * Revert to just the pciutils and pciutils-dev packages (no changes to
    base system allowed currently), hence replaces: libpci2 (closes:
    #244583, #241360, #225512)
  * Fix warning on lack of sysfs support on 2.4 kernels (closes: #242239,
    #244249, #242892)
  * Conflicts on packages that need the old output of lspci, or the old
    libpci.so.1, namely hardinfo, kudzu and sndconfig.
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 11:31:10 +0200

pciutils (1:2.1.11-10) unstable; urgency=low

  * Sysfs support enabled again. libpci1 -> libpci2.
  * Old shared lib in separate (source) package: libpci1
  * Temporary dependency on libpci1 package, for transition purposes.

 -- Remco van de Meent <remco@debian.org>  Thu,  8 Apr 2004 21:07:51 +0200

pciutils (1:2.1.11-9) unstable; urgency=low

  * Revert sysfs patch, so that ABI is back in original state. Shared
    library split off from main package (libpci1). Later version will
    include sysfs patch again.
  * Update pci.ids

 -- Remco van de Meent <remco@debian.org>  Thu,  8 Apr 2004 19:30:15 +0200

pciutils (1:2.1.11-8) unstable; urgency=low

  * Updated pci.ids file
  * Applied sysfs patch from
    http://ftp.linux.org.uk/pub/linux/willy/patches/pciutils-sysfs.diff.
    pciutils now can make use of /sys if available (linux 2.6), and also
    works under 2.4 on sparc64 (closes: #225027, #227547)
  * update-pciids.sh now preserves permission of pci.ids (closes:
    #223740)
  * Changed wrong acronym Mhz into MHz in lspci.c (closes: #230594)

 -- Remco van de Meent <remco@debian.org>  Sun, 28 Mar 2004 15:17:30 +0200

pciutils (1:2.1.11-7) unstable; urgency=low

  * Tiny change to lib/configure
  * Updated pci.ids
  * Removed build-depends on libc6-dev (closes: #225345)

 -- Remco van de Meent <remco@debian.org>  Mon, 29 Dec 2003 19:07:55 +0100

pciutils (1:2.1.11-6) unstable; urgency=low

  * Updated pci.ids
  * Slighly updated description in debian/control

 -- Remco van de Meent <remco@debian.org>  Mon,  8 Dec 2003 20:38:49 +0100

pciutils (1:2.1.11-5) unstable; urgency=low

  * Introduce versioning in shared library: libpci.so -> libpci.so.1
    (closes: #215181)
  * Provide libpci.so -> libpci.so.1 symlink to prevent other packages
    breaking

 -- Remco van de Meent <remco@debian.org>  Sat, 11 Oct 2003 12:44:19 +0200

pciutils (1:2.1.11-4) unstable; urgency=low

  * Provide symlink /bin/lspci -> /usr/bin/lspci, and similar for
    setpci. /usr/bin is the new location of these binaries as they are
    no longer essential, but other packages may currently rely on these
    binaries to be in /bin. (closes: #215002)
  * Fix Makefile so that setpci is built correctly (closes: #214785)

 -- Remco van de Meent <remco@debian.org>  Fri, 10 Oct 2003 09:46:17 +0200

pciutils (1:2.1.11-3) unstable; urgency=low

  * Upgraded to Standards-Version: 3.6.1
  * Applied patch from Iustin Pop to have pciutils provide a shared
    library (closes: #212246)
  * Formatting problem for PCI-X capabilities fixed, thanks to Matthew
    Wilcox (closes: #191468)

