=== debian/control ===
Source: libpci2
Section: oldlibs
Priority: optional
Maintainer: Debian pciutils Maintainers <pkg-pciutils-discuss@lists.alioth.debian.org>
Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>> 4)
Standards-Version: 3.7.2

Package: libpci2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: pciutils (<< 1:2.2.1-1)
Conflicts: pciutils (<< 1:2.2.1-1), hardinfo (<= 0.3.6-3), kudzu (<= 1.1.36-2), sndconfig (<= 0.70-2), alsa-utils (<< 1.0.5-3)
Description: Obsolete shared library for accessing pci devices
 This is a transition package to allow for partial upgrades from sarge.
 It should be removed after etch is released.
