=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE) lib

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean


# Build architecture-independent files here.
binary-indep: build 


# Build architecture-dependent files here.
binary-arch: build 
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	#$(MAKE) install DESTDIR=`pwd`/debian/libpci2
	install -m 644 lib/libpci.so.2 debian/libpci2/usr/lib
	#ln -s libpci.so.2 debian/libpci2/usr/lib/libpci.so

	dh_installdocs
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
